Loading...
Searching...
No Matches
Opm::WellFilterCake< Scalar, IndexTraits > Class Template Reference

Class for well calculations related to filter cakes. More...

`#include <WellFilterCake.hpp>`

## Public Member Functions

void | updatePostStep (const WellInterfaceGeneric< Scalar, IndexTraits > &well, WellState< Scalar, IndexTraits > &well_state, const double dt, const Scalar conc, const std::size_t water_index, DeferredLogger &deferred_logger)
| Post-step filtration model updates.
void | updatePreStep (const WellInterfaceGeneric< Scalar, IndexTraits > &well, DeferredLogger &deferred_logger)
| Pre-step filtration model updates.
const std::vector< Scalar > & | multipliers () const
| Returns a const-ref to multipliers.

## Detailed Description

template<typename Scalar, typename IndexTraits>
class Opm::WellFilterCake< Scalar, IndexTraits >

Class for well calculations related to filter cakes.

## Member Function Documentation

## updatePostStep()

template<typename Scalar, typename IndexTraits>

void Opm::WellFilterCake< Scalar, IndexTraits >::updatePostStep | ( | const WellInterfaceGeneric< Scalar, IndexTraits > & | well,
|  | WellState< Scalar, IndexTraits > & | well_state,
|  | const double | dt,
|  | const Scalar | conc,
|  | const std::size_t | water_index,
|  | DeferredLogger & | deferred_logger )

Post-step filtration model updates.

Calculates the filtrate deposition volumes and associated skin factors / injectivity multipliers

## updatePreStep()

template<typename Scalar, typename IndexTraits>

void Opm::WellFilterCake< Scalar, IndexTraits >::updatePreStep | ( | const WellInterfaceGeneric< Scalar, IndexTraits > & | well,
|  | DeferredLogger & | deferred_logger )

Pre-step filtration model updates.

Applies filter cake cleaning

The documentation for this class was generated from the following files:

- opm/simulators/wells/WellFilterCake.hpp
- opm/simulators/wells/WellFilterCake.cpp